<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" 
            integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" 
             crossorigin="anonymous">

    <title>Document</title>
</head>
<body>
    <div id="app" class="container">
        <h3>{{mensaje}}</h3>
        <h3>invertido:{{invertido}}</h3>
        <input type="text" class="form-control" v-model="mensaje">
        <hr>
        <button class="btn btn-primary" @click="contador++">+</button>
        <button class="btn btn-primary" @click="contador--">-</button>
        <h3>{{contador}}</h3>
        <div class="progress">
                <div class="progress-bar progress-bar-striped" 
                role="progressbar" 
                :style="{width: contador+'%'}" aria-valuenow="10" 
                aria-valuemin="0" aria-valuemax="100" 
                :class="color"
                >{{contador}}%</div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script src="app.js"></script>
</body>
</html>